Bug 1122050 - Review Request: perl-DBIx-Admin-TableInfo - Wrapper for DBI's table_info(), column_info(), *_key_info()
Summary: Review Request: perl-DBIx-Admin-TableInfo - Wrapper for DBI's table_info(), c...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 987717
TreeView+ depends on / blocked
 
Reported: 2014-07-22 12:45 UTC by Petr Pisar
Modified: 2017-03-13 14:51 UTC (History)
3 users (show)

Fixed In Version: perl-DBIx-Admin-TableInfo-3.03-1.fc27
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-13 14:51:27 UTC
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Petr Pisar 2014-07-22 12:45:47 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-DBIx-Admin-TableInfo/perl-DBIx-Admin-TableInfo.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-DBIx-Admin-TableInfo/perl-DBIx-Admin-TableInfo-2.11-1.fc22.src.rpm
Description:
This is a convenient wrapper around all of these DBI methods:

    - table_info()
    - column_info()
    - primary_key_info()
    - foreign_key_info()

Fedora Account System Username: ppisar

Comment 1 Christopher Meng 2014-07-25 06:19:41 UTC
I still hope perl(Moo) can get update in f21, or perl-Graphviz2, perl-App-Netdisco won't be pushed, I've been waiting one year to package "those should get into f20".

Comment 2 Christopher Meng 2014-07-25 06:32:47 UTC
Sorry, netdisco not affected.

Comment 3 Petr Pisar 2017-03-13 09:45:31 UTC
No Response within two years from the reviewer.

Comment 5 Jitka Plesnikova 2017-03-13 12:20:31 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-DBIx-Admin-TableInfo-3.03-1.fc27.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.24.1)
      1 perl(Data::Dumper::Concise) >= 2.022
      1 perl(Moo) >= 2.002004
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-DBIx-Admin-TableInfo-3.03-1.fc27.noarch.rpm | sort | uniq -c
      1 perl(DBIx::Admin::TableInfo) = 3.03
      1 perl-DBIx-Admin-TableInfo = 3.03-1.fc27
Binary provides are Ok.

$ rpmlint ./perl-DBIx-Admin-TableInfo*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok

TODO: Please consider adding 'scripts/' to %doc.

The package looks good.
Approved.

Comment 6 Gwyn Ciesla 2017-03-13 13:09:26 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-DBIx-Admin-TableInfo

Comment 7 Petr Pisar 2017-03-13 14:51:27 UTC
Thank you for the review and the repository. I addded the Perl scripts into documentation.


Note You need to log in before you can comment on or make changes to this bug.